{
  "name": "biostacker-frontend",
  "version": "1.0.0",
  "license": "UNLICENSED",
  "author": "k4rli",
  "private": true,
  "main": "vite.config.ts",
  "engines": {
    "node": ">=24"
  },
  "scripts": {
    "dev": "vite --no-open",
    "build": "tsc && vite build",
    "build:analyze": "ANALYZE=true vite build",
    "clean": "rimraf dist",
    "lint": "biome lint src",
    "lint:fix": "biome lint src --write",
    "format": "biome format src",
    "format:check": "biome format src --check",
    "check": "biome check src",
    "depcheck": "depcheck",
    "find-deadcode": "ts-prune"
  },
  "dependencies": {
    "@carbon/icons-react": "11.73.0",
    "@greatness/components": "workspace:*",
    "@greatness/util": "workspace:*",
    "@floating-ui/react": "0.27.16",
    "@hookform/resolvers": "5.2.2",
    "@radix-ui/react-select": "2.2.6",
    "@tailwindcss/vite": "4.1.18",
    "@tanstack/react-query": "5.90.20",
    "@tanstack/react-query-devtools": "5.91.2",
    "@types/i18n-js": "3.8.9",
    "@types/js-cookie": "3.0.6",
    "@types/node": "25.0.10",
    "@types/react": "19.2.9",
    "@types/react-dom": "19.2.3",
    "awesome-debounce-promise": "2.1.0",
    "class-variance-authority": "0.7.1",
    "clsx": "2.1.1",
    "i18n-js": "3.8.0",
    "js-cookie": "3.0.5",
    "lucide-react": "0.563.0",
    "react": "19.2.3",
    "react-dom": "19.2.3",
    "react-error-boundary": "6.1.0",
    "react-hook-form": "7.71.1",
    "react-jss": "10.10.0",
    "react-router-dom": "7.13.0",
    "react-select": "5.10.2",
    "recharts": "3.7.0",
    "tailwind-merge": "3.4.0",
    "tailwindcss": "4.1.18",
    "vis-timeline": "8.5.0",
    "yup": "1.7.1",
    "zod": "4.3.6"
  },
  "devDependencies": {
    "@js-temporal/polyfill": "0.5.1",
    "@types/jest": "30.0.0",
    "@vitejs/plugin-react-swc": "4.2.2",
    "depcheck": "1.4.7",
    "react-loading-skeleton": "3.5.0",
    "rimraf": "6.1.2",
    "rollup-plugin-visualizer": "6.0.5",
    "sass": "1.97.3",
    "ts-prune": "0.10.3",
    "tw-animate-css": "1.4.0",
    "typescript": "5.8.3",
    "vite": "7.3.1",
    "vite-tsconfig-paths": "6.0.5"
  },
  "browserslist": [
    ">1%",
    "last 4 versions",
    "not ie <= 11",
    "not op_mini all",
    "not dead"
  ]
}
